Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.CertificateEncryptData Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | CertificateEncryptData (is_encrypt_metadata, cipher, envelopes)
| Constructor, with parameters. More...
def | CertificateEncryptData ()
| Constructor.
def | CertificateEncryptData (other)
| Constructor, with another certificate encrypt data object. More...
def | Set (is_encrypt_metadata, cipher, envelopes)
| Set value. More...

## Static Public Attributes
| cipher = _fsdk.CertificateEncryptData_cipher
| Cipher type. Please refer to values starting from FoxitPDFSDKPython2.SecurityHandler.e_CipherRC4 and this should be one of these values except FoxitPDFSDKPython2.SecurityHandler.e_CipherNone .
| envelopes = _fsdk.CertificateEncryptData_envelopes
| A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.
| is_encrypt_metadata = _fsdk.CertificateEncryptData_is_encrypt_metadata
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.

## Detailed Description

This class represents some data used for class CertificateSecurityHandler .

## Constructor & Destructor Documentation

## ◆ CertificateEncryptData() [1/2]

def FoxitPDFSDKPython2.CertificateEncryptData.CertificateEncryptData | ( |  | is_encrypt_metadata,
|  |  | cipher,
|  |  | envelopes
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | cipher | Cipher type. Please refer to values starting from FoxitPDFSDKPython2.SecurityHandler.e_CipherRC4 and this should be one of these values except FoxitPDFSDKPython2.SecurityHandler.e_CipherNone .
  [in] | envelopes | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

## ◆ CertificateEncryptData() [2/2]

def FoxitPDFSDKPython2.CertificateEncryptData.CertificateEncryptData | ( |  | other | ) |

Constructor, with another certificate encrypt data object.

Parameters

  [in] | other | Another certificate encrypt data object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.CertificateEncryptData.Set | ( |  | is_encrypt_metadata,
|  |  | cipher,
|  |  | envelopes
| ) |  |

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | cipher | Cipher type. Please refer to values starting from FoxitPDFSDKPython2.SecurityHandler.e_CipherRC4 and this should be one of these values except FoxitPDFSDKPython2.SecurityHandler.e_CipherNone .
  [in] | envelopes | A string array which specifies an array of certificate envelopes. This array should contains one or more envelopes.

Returns
  None.